Chi tiết — phòng thủ xác thực nguồn theo id

Xem chi tiết phòng thủ xác thực nguồn theo id trong nhóm Xác thực & Người dùng hệ thống của HiTechCloud WAF.

Xem Markdown

Xem chi tiết phòng thủ xác thực nguồn theo id trong nhóm Xác thực & Người dùng hệ thống của HiTechCloud WAF. (Chức năng: list auth source).

Endpoint

MethodEndpointMô tả
GET/api/open/auth_defense/source/{id}Xem chi tiết phòng thủ xác thực nguồn theo id

Tham số

Tham sốVị tríKiểuBắt buộcMô tả
idPathintegerCósource id

Kiểm thử tại chỗ

GEThttps://vcwaf.hitechcloud.vn/api/open/auth_defense/source/{id}

Nhập token và tham số rồi bấm Gửi thử. Token không được lưu lại.

Tham số đường dẫn
cURL mẫu
curl -X GET "https://vcwaf.hitechcloud.vn/api/open/auth_defense/source/123" \
  -H "Authorization: Bearer YOUR_TOKEN"
Phản hồi mẫu
{
  "data": {
    "association": 1,
    "auth": {
      "cas": {
        "url": null
      },
      "ldap": {
        "base_dn": null,
        "bind_dn": null,
        "bind_pass": null,
        "filter": null,
        "url": null
      },
      "oauth2": {
        "app_id": null,
        "app_secret": null,
        "extra": null,
        "provider": null
      }
    },
    "comment": "mo ta",
    "created_at": "2026-01-01 08:00:00",
    "id": 1024,
    "network_proxy": true,
    "title": "example",
    "type": 1,
    "updated_at": "2026-01-01 08:00:00",
    "user": [
      {
        "password": "********",
        "username": "example"
      }
    ]
  },
  "err": "",
  "msg": "ok"
}